python-ldap is needed as a dependency of keystone

Bug #1364854 reported by Yaguang Tang on 2014-09-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Chuck Short

Bug Description

Openstack Keystone supports LDAP backend but the keystone package does not install python-ldap it as a dependency, requiring it to be installed seperately.

[Impact]

* User will be able to install keystone and use LDAP backend without having to manually/separately install python-ldap

[Test Case]

* check python-ldap is not installed
* apt-get install keystone
* check python-ldap is installed

[Regression Potential]

 * none

Related branches

Edward Hope-Morley (hopem) wrote :
description: updated

The attachment "keystone.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Chuck Short (zulcss) on 2014-09-04
Changed in keystone (Ubuntu):
assignee: nobody → Chuck Short (zulcss)
Sebastien Bacher (seb128) wrote :

unsubscribing sponsors since Chuck said he's going to deal with that one

Chris J Arges (arges) on 2014-10-10
Changed in keystone (Ubuntu Trusty):
assignee: nobody → Chuck Short (zulcss)
Changed in keystone (Ubuntu):
assignee: Chuck Short (zulcss) → nobody
status: New → Invalid
Changed in keystone (Ubuntu Trusty):
status: New → In Progress

Hello Yaguang, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.1.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Yaguang Tang (heut2008) wrote :

I have tested with Trusty that python-ldap will be install as a dependency of keystone

yaguang@yaguang-ThinkPad-X230:~/working/openstack/nova$ sudo apt-get install keystone
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  landscape-common libgtk-vnc-1.0-0 libgvnc-1.0-0
  linux-image-extra-3.13.0-35-generic python-gtk-vnc python-simplestreams
  ubuntu-cloudimage-keyring
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  python-keystone python-keystoneclient python-ldap python-oslo.config
  python-oslo.messaging python-pycadf
Suggested packages:
  python-ldap-doc
The following NEW packages will be installed:
  keystone python-keystone python-keystoneclient python-ldap
  python-oslo.config python-oslo.messaging python-pycadf
0 upgraded, 7 newly installed, 0 to remove and 136 not upgraded.
Need to get 779 kB of archives.
After this operation, 9,653 kB of additional disk space will be used.
Do you want to continue? [Y/n] y

tags: added: verification-doned
removed: verification-needed
tags: added: verification-done
removed: verification-doned
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.3-0ubuntu2

---------------
keystone (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Added python-ldap as install dep (LP: #1364854)
 -- Chuck Short <email address hidden> Fri, 10 Oct 2014 12:54:47 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for keystone has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers